<template>
  <v-app id="inspire" dark>
    <Navigation></Navigation>
    <v-content>
      <v-container grid-list-md>
        <v-layout row wrap>

        <v-flex xs12>
          <v-card>
            <v-card-title primary-title>
              <div>
                <h3 class="headline mb-0">Hardware</h3>
              </div>
            </v-card-title>
            <v-card-text>
              <v-container grid-list-md>
                <SettingsSlider title="Triggerrate" v-bind:value="triggerrate" style="width:100%"></SettingsSlider>
                <SettingsSlider title="Biasvoltage" v-bind:value="biasvoltage" style="width:100%"></SettingsSlider>
              </v-container>
            </v-card-text>
          </v-card>
        </v-flex>

        <v-flex xs12 sm6>
          <v-card>
            <v-card-title primary-title>
              <div>
                <h3 class="headline mb-0">App</h3>
              </div>
            </v-card-title>
            <v-card-text>
              <v-container grid-list-xs>
                <v-layout row wrap>
                  <v-flex xs12>
                    <v-card>
                      <v-card-title primary-title>
                        <div>
                          <h3 class="headline mb-0">View</h3>
                        </div>
                      </v-card-title>
                      <v-card-text>
                        Controloptions View
                      </v-card-text>
                    </v-card>
                  </v-flex>
                  <v-flex xs12>
                    <v-card>
                      <v-card-title primary-title>
                        <div>
                          <h3 class="headline mb-0">Behaviour</h3>
                        </div>
                      </v-card-title>
                      <v-card-text>
                        Controloptions behaviour
                      </v-card-text>
                    </v-card>
                  </v-flex>
                </v-layout>
              </v-container>
            </v-card-text>
          </v-card>
        </v-flex>

        <v-flex xs12 sm6>
          <v-card>
            <v-card-title primary-title>
              <div>
                <h3 class="headline mb-0">Analysis</h3>
              </div>
            </v-card-title>
            <v-card-text>
              New analysis methods
            </v-card-text>
          </v-card>
        </v-flex>

        </v-layout>
      </v-container>
    </v-content>
    <v-footer app fixed>
    </v-footer>
  </v-app>
</template>

<script>
import Navigation from '~/components/Navigation.vue'
import SettingsSlider from '~/components/SettingsSlider.vue'
export default {
  components: {
    Navigation,
    SettingsSlider
  },
  data() {
    return {
      triggerrate: 42,
      biasvoltage: 32
    }
  }
}
</script>
